mbed TLS v2.16.5

Data Fields
mbedtls_ssl_ticket_context Struct Reference

Context for session ticket handling functions. More...

`#include <ssl_ticket.h>`

Collaboration diagram for mbedtls_ssl_ticket_context:
[legend]

## Data Fields
mbedtls_ssl_ticket_key | keys [2]
unsigned char | active
uint32_t | ticket_lifetime
int(* | f_rng )(void *, unsigned char *, size_t)
void * | p_rng
mbedtls_threading_mutex_t | mutex

## Detailed Description

Context for session ticket handling functions.

Definition at line 64 of file ssl_ticket.h.

## Field Documentation

## ◆ active

unsigned char mbedtls_ssl_ticket_context::active

index of the currently active key

Definition at line 67 of file ssl_ticket.h.

## ◆ f_rng

int(* mbedtls_ssl_ticket_context::f_rng) (void *, unsigned char *, size_t)

Callback for getting (pseudo-)random numbers

Definition at line 72 of file ssl_ticket.h.

## ◆ keys

mbedtls_ssl_ticket_key mbedtls_ssl_ticket_context::keys[2]

ticket protection keys

Definition at line 66 of file ssl_ticket.h.

## ◆ mutex

mbedtls_threading_mutex_t mbedtls_ssl_ticket_context::mutex

Definition at line 76 of file ssl_ticket.h.

## ◆ p_rng

void* mbedtls_ssl_ticket_context::p_rng

context for the RNG function

Definition at line 73 of file ssl_ticket.h.

## ◆ ticket_lifetime

uint32_t mbedtls_ssl_ticket_context::ticket_lifetime

lifetime of tickets in seconds

Definition at line 69 of file ssl_ticket.h.

The documentation for this struct was generated from the following file:

- ssl_ticket.h